searchNodes=[{"doc":"A Simple wrapper around mxsqlex to add pooling","ref":"MysqlexPool.html","title":"MysqlexPool","type":"module"},{"doc":"execute a mysql query Examples iex&gt; MysqlexPool . query ( &quot;SELECT ID, Name FROM `city` WHERE id = 1&quot; ) { :ok , % Mysqlex.Result { columns : [ &quot;ID&quot; , &quot;Name&quot; ] , command : :select , last_insert_id : nil , num_rows : 1 , rows : [ { 1 , &quot;Kabul&quot; } ] } }","ref":"MysqlexPool.html#query/1","title":"MysqlexPool.query/1","type":"function"},{"doc":"execute a mysql query Examples iex&gt; MysqlexPool . query ( &quot;SELECT ID, Name FROM `city` WHERE id = ?&quot; , [ 1 ] ) { :ok , % Mysqlex.Result { columns : [ &quot;ID&quot; , &quot;Name&quot; ] , command : :select , last_insert_id : nil , num_rows : 1 , rows : [ { 1 , &quot;Kabul&quot; } ] } } iex&gt; MysqlexPool . query ( &quot;SELECT ID, city.Name as City, Population FROM city WHERE city.CountryCode IN ( SELECT country.Code FROM country WHERE Population &lt; ? ) ORDER BY Population desc LIMIT 0,?&quot; , [ 50_000 , 2 ] ) { :ok , % Mysqlex.Result { columns : [ &quot;ID&quot; , &quot;City&quot; , &quot;Population&quot; ] , command : :select , last_insert_id : nil , num_rows : 2 , rows : [ { 915 , &quot;Gibraltar&quot; , 27025 } , { 553 , &quot;George Town&quot; , 19600 } ] } }","ref":"MysqlexPool.html#query/2","title":"MysqlexPool.query/2","type":"function"},{"doc":"Callback implementation for Application.start/2 .","ref":"MysqlexPool.html#start/2","title":"MysqlexPool.start/2","type":"function"},{"doc":"","ref":"MysqlexPool.html#start_link/1","title":"MysqlexPool.start_link/1","type":"function"},{"doc":"A library of functions used to create and use a Mysql pool through Mysqlex.","ref":"MysqlexPool.Pool.html","title":"MysqlexPool.Pool","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"MysqlexPool.Pool.html#child_spec/1","title":"MysqlexPool.Pool.child_spec/1","type":"function"},{"doc":"init mysqlex pool","ref":"MysqlexPool.Pool.html#init/1","title":"MysqlexPool.Pool.init/1","type":"function"},{"doc":"execute a single sql query Examples iex&gt; MysqlexPool.Pool . query ( &quot;SELECT ID, Name FROM `city` LIMIT 0,3&quot; , [ ] ) { :ok , % Mysqlex.Result { columns : [ &quot;ID&quot; , &quot;Name&quot; ] , command : :select , last_insert_id : nil , num_rows : 3 , rows : [ { 1 , &quot;Kabul&quot; } , { 2 , &quot;Qandahar&quot; } , { 3 , &quot;Herat&quot; } ] } }","ref":"MysqlexPool.Pool.html#query/2","title":"MysqlexPool.Pool.query/2","type":"function"},{"doc":"start supervisor","ref":"MysqlexPool.Pool.html#start_link/0","title":"MysqlexPool.Pool.start_link/0","type":"function"},{"doc":"MysqlexPool A warpper for mysqlex to add connection pooling with poolboy","ref":"readme.html","title":"MysqlexPool","type":"extras"},{"doc":"Add mysqlex_pool to your list of dependencies in mix.exs : def deps do [ { :mysqlex_pool , &quot;~&gt; 0.1.0&quot; } ] end Ensure mysqlex_pool is started before your application: def application do [ applications : [ :mysqlex_pool ] ] end","ref":"readme.html#installation","title":"MysqlexPool - Installation","type":"extras"},{"doc":"MysqlexPool.query/1 run a simple mysql query - query/1 { :ok, %Mysqlex.Result{...} } = MysqlexPool.query( &quot;SELECT * FROM test&quot; ) Example: { :ok , % Mysqlex.Result { columns : [ &quot;ID&quot; , &quot;Name&quot; ] , command : :select , last_insert_id : nil , num_rows : 1 , rows : [ { 1 , &quot;Kabul&quot; } ] } } = MysqlexPool . query ( &quot;SELECT ID, Name FROM `city` WHERE id = 1&quot; ) MysqlexPool.query/2 run a mysql query with param substitution - query/2 { :ok, %Mysqlex.Result{...} } = MysqlexPool.query( &quot;SELECT * FROM test WHERE id = ?&quot;, [ 1337 ] ) Example: { :ok , % Mysqlex.Result { columns : [ &quot;ID&quot; , &quot;Name&quot; ] , command : :select , last_insert_id : nil , num_rows : 1 , rows : [ { 1 , &quot;Kabul&quot; } ] } } = MysqlexPool . query ( &quot;SELECT ID, Name FROM `city` WHERE id = ?&quot; , [ 1 ] )","ref":"readme.html#usage","title":"MysqlexPool - Usage","type":"extras"},{"doc":"You can set the configuration within your config.exs or just use the environment vars. username Binary default: root : mysql user name. env-var: MYSQLEX_POOL_USER password Binary default: root : mysql password. env-var: MYSQLEX_POOL_PASSWORD hostname Binary default: 127.0.0.1 : mysql host. env-var: MYSQLEX_POOL_HOST port Integer default: 3306 : mysql port. env-var: MYSQLEX_POOL_PORT database Binary default: test : mysql datebase. env-var: MYSQLEX_POOL_DATABASE pool_size Integer default: 10 : mysqlex/poolboy pool size. env-var: MYSQLEX_POOL_SIZE pool_overflow Integer default: 1 : mysqlex/poolboy pool overflow. env-var: MYSQLEX_POOL_OVERFLOW charset Binary default: utf8 : mysql charset. env-var: MYSQLEX_POOL_CHARSET","ref":"readme.html#config","title":"MysqlexPool - Config","type":"extras"},{"doc":"All examples and tests are based on the example db world . You can find a copy here or use the official source and download the world database . Development To run the tests just call: make test or make t . In this case it'll use the environment in test.env . To use your own just copy it and use make test=my_custom_test.env test Benchmarks To run the benchmaks just call: make bench or make b . In this case it'll use the environment in test.env . To use your own just copy it and use make test=my_custom_test.env test","ref":"readme.html#development-benchmarks","title":"MysqlexPool - Development &amp; Benchmarks","type":"extras"},{"doc":"Version Date Description 0.2.1 2018-01-25 Updated dependencies 0.2.0 2017-03-17 added configuration, added docs, fixed travis and appveyor ci configs. 0.1.0 2017-03-16 initial wip version","ref":"readme.html#release-history","title":"MysqlexPool - Release History","type":"extras"},{"doc":"Documentation can be generated with ExDoc and published on HexDocs . Once published, the docs can be found at https://hexdocs.pm/mysqlex_pool .","ref":"readme.html#infos","title":"MysqlexPool - Infos","type":"extras"},{"doc":"|Name|Type|Description| |:--|:--| | ex-redis-sessions |Elixir|An advanced session store for Elixir and NodeJS based on Redis | | mpneuried/docker_distillery |Docker Image|Create a docker container to be able to build elixir releases via distillery on different os's.| | mpneuried/elixir-alpine |Docker Image|A minimal docker container to run elixir| | redis-sessions |Node.JS|An advanced session store for NodeJS and Redis| | node-cache |Node.JS|Simple and fast NodeJS internal caching. Node internal in memory cache like memcached.| | rsmq |Node.JS|A really simple message queue based on redis| | obj-schema |Node.JS|Simple module to validate an object by a predefined schema|","ref":"readme.html#other-projects","title":"MysqlexPool - Other projects","type":"extras"},{"doc":"Copyright © 2017 M. Peter, http://www.tcs.de Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the “Software”), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"readme.html#the-mit-license-mit","title":"MysqlexPool - The MIT License (MIT)","type":"extras"}]